Find project by id
curl --request GET \
--url https://api.n-3.co.uk/projects/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.n-3.co.uk/projects/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.n-3.co.uk/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"environment_id": 123,
"project_reference": "<string>",
"project_status": "IN_PROGRESS",
"address": "<string>",
"postcode": "<string>",
"latitude": 123,
"longitude": 123,
"description": "<string>",
"site_area": 123,
"field_site": "<string>",
"proposed_procurement_structure_other_specific": "<string>",
"contract_form": "<string>",
"gross_development_value": 123,
"total_budget": 123,
"loan_facility_budget": 123,
"total_gifa": 123,
"site_max_floors_above_ground": 123,
"site_max_floors_below_ground": 123,
"proposed_procurement_structure": "Main Contractor - Design & Build"
}Projects
Find project by id
GET
/
projects
/
{id}
Find project by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Available options:
PENDING, IN_PROGRESS, DEFECTS_CORRECTION, COMPLETED, PRE_CONTRACT, NOT_YET_SECURED Example:
"IN_PROGRESS"
Available options:
Main Contractor - Design & Build, Main Contractor - Traditional (Client with design responsibility), Trades employed directly / with or without design, Self build Example:
"Main Contractor - Design & Build"

